Copy curl -X POST "https://api.dev.cslpay.io/handler/send/remittance/transaction" \
-H "Authorization: Bearer <access-token>" \
-H "Content-Type: application/json" \
-d '{
"transactionRequestList": [
{
"transactionReference": "790598202501304567654576987851",
"requestDate": "2025-01-30T11:40:01.833Z",
"paymentCurrency": "NGN",
"paymentAmount": "1.00",
"paymentNarration": "Test Transaction",
"recipientInformation": {
"recipientAccountNumber": "0106462100",
"recipientAccountName": "Ukange Ushahemba",
"recipientBankCode": "058",
"recipientPhoneNumber": "",
"recipientISOCountryCode": "NGA"
},
"senderInformation": {
"senderName": "Terngu Ukange",
"senderEmailAddress": "",
"senderPhoneNumber": "",
"senderISOCountryCode": "USA"
}
}
]
}'Copy OkHttpClient client = new OkHttpClient();
String payload = """
{
"transactionRequestList": [
{
"transactionReference": "790598202501304567654576987851",
"requestDate": "2025-01-30T11:40:01.833Z",
"paymentCurrency": "NGN",
"paymentAmount": "1.00",
"paymentNarration": "Test Transaction",
"recipientInformation": {
"recipientAccountNumber": "0106462100",
"recipientAccountName": "Ukange Ushahemba",
"recipientBankCode": "058",
"recipientPhoneNumber": "",
"recipientISOCountryCode": "NGA"
},
"senderInformation": {
"senderName": "Terngu Ukange",
"senderEmailAddress": "",
"senderPhoneNumber": "",
"senderISOCountryCode": "USA"
}
}
]
}
""";
RequestBody body = RequestBody.create(
payload, MediaType.get("application/json"));
Request request = new Request.Builder()
.url("https://api.dev.cslpay.io/handler/send/remittance/transaction")
.post(body)
.addHeader("Authorization", "Bearer <access-token>")
.addHeader("Content-Type", "application/json")
.build();
try (Response response = client.newCall(request).execute()) {
if (!response.isSuccessful()) {
throw new IOException("Unexpected status " + response.code());
}
System.out.println(response.body().string());
}Copy const response = await fetch("https://api.dev.cslpay.io/handler/send/remittance/transaction", {
method: "POST",
headers: {
"Authorization": "Bearer <access-token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"transactionRequestList": [
{
"transactionReference": "790598202501304567654576987851",
"requestDate": "2025-01-30T11:40:01.833Z",
"paymentCurrency": "NGN",
"paymentAmount": "1.00",
"paymentNarration": "Test Transaction",
"recipientInformation": {
"recipientAccountNumber": "0106462100",
"recipientAccountName": "Ukange Ushahemba",
"recipientBankCode": "058",
"recipientPhoneNumber": "",
"recipientISOCountryCode": "NGA"
},
"senderInformation": {
"senderName": "Terngu Ukange",
"senderEmailAddress": "",
"senderPhoneNumber": "",
"senderISOCountryCode": "USA"
}
}
]
})
});
const data = await response.json();
console.log(data);Copy import requests
response = requests.post(
"https://api.dev.cslpay.io/handler/send/remittance/transaction",
headers={
"Authorization": "Bearer <access-token>",
"Content-Type": "application/json"
},
json={
"transactionRequestList": [
{
"transactionReference": "790598202501304567654576987851",
"requestDate": "2025-01-30T11:40:01.833Z",
"paymentCurrency": "NGN",
"paymentAmount": "1.00",
"paymentNarration": "Test Transaction",
"recipientInformation": {
"recipientAccountNumber": "0106462100",
"recipientAccountName": "Ukange Ushahemba",
"recipientBankCode": "058",
"recipientPhoneNumber": "",
"recipientISOCountryCode": "NGA"
},
"senderInformation": {
"senderName": "Terngu Ukange",
"senderEmailAddress": "",
"senderPhoneNumber": "",
"senderISOCountryCode": "USA"
}
}
]
},
)
response.raise_for_status()
print(response.json())